CrystaX NDK - Bug #2607

crew install command outputs bad error message when formula has a non-existing dependency
10/10/2018 05:18 PM - Alexander Zhukov

Status: Done Start date: 10/10/2018
Priority: Normal Due date:

Assignee: Alexander Zhukov % Done: 100%
Category: crew Estimated time: 0.00 hour
Target version: 11.0.0

CPU Architecture: Android version:

Host OS: CrystaX Version:

Toolchain:

Description

If formula has a dependency that refers to the non-existing formula then crew install command outputs the following message:
zuav@ithilien$ ./crew -b install target/python:2.7.11

calculating dependencies for target/python:

error: undefined method “dependencies' for nil:NilClass

Correct message must be like this:

error: target/python depends on unknown formula 'foo'

History

#1 - 10/10/2018 05:19 PM - Alexander Zhukov

- Status changed from Open to In Progress

#2 - 10/11/2018 09:43 PM - Alexander Zhukov
- Status changed from In Progress to Done

- % Done changed from 0 to 100

Fix should be included in the next build (1061).
